Sauce-0.10.1 A C++ Dependency Injection Framework

- Main Page
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
sauce::internal::Clause< Dependency > Class Template Reference

Base class for parts of the fluent binding API. More...

`#include <sauce/internal/clause.h>`

Inheritance diagram for sauce::internal::Clause< Dependency >:

## Public Member Functions
Clause< Dependency > & | naming (unsigned int position, std::string const name)
void | setState (ClauseStatePtr state)

## Protected Member Functions
virtual void | onComplete ()
| Clause (ClauseStatePtr state)
ClauseStatePtr | getState ()
template<typename Next >
Next | pass (Next next)
void | setDynamicName (std::string const name)
template<typename Exception >
void | throwLater (Exception)
void | bindDynamicDependencyName (unsigned int position, std::string const name)

## Detailed Description

### template<typename Dependency>
class sauce::internal::Clause< Dependency >

Base class for parts of the fluent binding API.

The documentation for this class was generated from the following file:

- sauce/internal/clause.h